# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /opt/recipe, last modified Thu Jun  5 19:11:17 2025
# ------------------------------------------------

package:
  name: pasta
  version: 1.9.3
source:
  patches:
    - fix_tooldir.patch
    - mpstart.patch
  sha256: 4bbd77b148c7a0954e1103d0b6e834e3a507c3ada9ba556e2731109beb3d92fe
  url: https://github.com/smirarab/pasta/archive/v1.9.3.tar.gz
build:
  number: '0'
  run_exports:
    - pasta >=1.9.3,<2.0a0
  string: py311h9255c32_0
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-aarch64 2.43 h4c662bb_4
    - binutils_linux-aarch64 2.43 hf1166c9_4
    - gcc_impl_linux-aarch64 13.3.0 h80a1502_2
    - gcc_linux-aarch64 13.3.0 h1cd514b_11
    - kernel-headers_linux-aarch64 4.18.0 h05a177a_18
    - ld_impl_linux-aarch64 2.43 h80caac9_4
    - libgcc 15.1.0 he277a41_2
    - libgcc-devel_linux-aarch64 13.3.0 h0c07274_102
    - libgomp 15.1.0 he277a41_2
    - libsanitizer 13.3.0 ha58e236_2
    - libstdcxx 15.1.0 h3f4de04_2
    - sysroot_linux-aarch64 2.17 h68829e0_18
    - tzdata 2025b h78e105d_0
  host:
    - _openmp_mutex 4.5 2_gnu
    - alsa-lib 1.2.14 h86ecc28_0
    - bzip2 1.0.8 h68df207_7
    - ca-certificates 2025.4.26 hbd8a1cb_0
    - cairo 1.18.4 h83712da_0
    - clustalw 2.1 h163da20_12
    - dendropy 5.0.8 pyhdfd78af_0
    - dnspython 2.7.0 pyhff2d567_1
    - fasttree 2.1.11 h661a7b0_5
    - font-ttf-dejavu-sans-mono 2.37 hab24e00_0
    - font-ttf-inconsolata 3.000 h77eed37_0
    - font-ttf-source-code-pro 2.038 h77eed37_0
    - font-ttf-ubuntu 0.83 h77eed37_3
    - fontconfig 2.15.0 h8dda3cd_1
    - fonts-conda-ecosystem 1 0
    - fonts-conda-forge 1 0
    - freetype 2.13.3 h8af1aa0_1
    - gawk 5.3.1 h01806b3_0
    - giflib 5.2.2 h31becfc_0
    - gmp 6.3.0 h0a1ffab_2
    - graphite2 1.3.13 h2f0025b_1003
    - gsl 2.7 h294027d_0
    - harfbuzz 11.2.1 h405b6a2_0
    - hmmer 3.4 hfe13ca0_4
    - icu 75.1 hf9b3779_0
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.3 h50a48e9_0
    - lcms2 2.17 hc88f144_0
    - ld_impl_linux-aarch64 2.43 h80caac9_4
    - lerc 4.0.0 hfdc4d58_1
    - libasprintf 0.24.1 h5e0f5ae_0
    - libblas 3.9.0 31_h1a9f1db_openblas
    - libcblas 3.9.0 31_hab92f65_openblas
    - libcups 2.3.3 h405e4a8_4
    - libdeflate 1.24 he377734_0
    - libedit 3.1.20250104 pl5321h976ea20_0
    - libexpat 2.7.0 h5ad3122_0
    - libffi 3.4.6 he21f813_1
    - libfreetype 2.13.3 h8af1aa0_1
    - libfreetype6 2.13.3 he93130f_1
    - libgcc 15.1.0 he277a41_2
    - libgcc-ng 15.1.0 he9431aa_2
    - libgettextpo 0.24.1 h5ad3122_0
    - libgfortran 15.1.0 he9431aa_2
    - libgfortran-ng 15.1.0 he9431aa_2
    - libgfortran5 15.1.0 hbc25352_2
    - libglib 2.84.2 hc022ef1_0
    - libgomp 15.1.0 he277a41_2
    - libiconv 1.18 hc99b53d_1
    - libidn2 2.3.8 h53e0a65_0
    - libjpeg-turbo 3.1.0 h86ecc28_0
    - liblzma 5.8.1 h86ecc28_1
    - libnsl 2.0.1 h31becfc_0
    - libopenblas 0.3.29 pthreads_h9d3fd7e_0
    - libpng 1.6.47 hec79eb8_0
    - libsqlite 3.50.0 h5eb1b54_0
    - libstdcxx 15.1.0 h3f4de04_2
    - libstdcxx-ng 15.1.0 hf1166c9_2
    - libtiff 4.7.0 h7c15681_5
    - libunistring 0.9.10 hf897c2e_0
    - libuuid 2.38.1 hb4cce97_0
    - libwebp-base 1.5.0 h0886dbf_0
    - libxcb 1.17.0 h262b8f6_0
    - libxcrypt 4.4.36 h31becfc_1
    - libzlib 1.3.1 h86ecc28_2
    - mafft 7.526 h68df207_0
    - mpfr 4.2.1 h2305555_3
    - mpi 1.0 openmpi
    - muscle 3.8.1551 h163da20_8
    - ncurses 6.5 ha32ae93_3
    - openjdk 23.0.2 h0f44c73_2
    - openmpi 4.1.6 h1f4154d_101
    - openssl 3.5.0 hd08dc88_1
    - pcre 8.45 h01db608_0
    - pcre2 10.45 hf4ec17f_0
    - pip 25.1.1 pyh8b19718_0
    - pixman 0.46.0 h86a87f0_0
    - prank 170427 h163da20_1
    - pthread-stubs 0.4 h86ecc28_1002
    - pymongo 4.13.0 py311h2e0833b_0
    - python 3.11.13 h1683364_0_cpython
    - python_abi 3.11 7_cp311
    - raxml 8.2.13 h661a7b0_3
    - readline 8.2 h8382b9d_2
    - setuptools 80.9.0 pyhff2d567_0
    - sniffio 1.3.1 pyhd8ed1ab_1
    - tk 8.6.13 noxft_h5688188_102
    - tzdata 2025b h78e105d_0
    - wget 1.21.4 h3861a24_0
    - wheel 0.45.1 pyhd8ed1ab_1
    - xorg-libice 1.1.2 h86ecc28_0
    - xorg-libsm 1.2.6 h0808dbd_0
    - xorg-libx11 1.8.12 hca56bd8_0
    - xorg-libxau 1.0.12 h86ecc28_0
    - xorg-libxdmcp 1.1.5 h57736b2_0
    - xorg-libxext 1.3.6 h57736b2_0
    - xorg-libxfixes 6.0.1 h57736b2_0
    - xorg-libxi 1.8.2 h57736b2_0
    - xorg-libxrandr 1.5.4 h86ecc28_0
    - xorg-libxrender 0.9.12 h86ecc28_0
    - xorg-libxt 1.3.1 h57736b2_0
    - xorg-libxtst 1.2.5 h57736b2_3
    - zlib 1.3.1 h86ecc28_2
    - zstd 1.5.7 hbcf94c1_2
  run:
    - _openmp_mutex >=4.5
    - clustalw >=2.1,<3.0a0
    - dendropy >=5.0.8,<6.0a0
    - fasttree >=2.1.11,<3.0a0
    - hmmer >=3.4,<3.5.0a0
    - libgcc >=13
    - libgomp
    - mafft >=7.526,<8.0a0
    - muscle <4
    - muscle >=3.8.1551,<4.0a0
    - openjdk
    - openmpi >=4.1.6,<5.0a0
    - pcre >=8.45,<9.0a0
    - prank >=170427,<170428.0a0
    - pymongo
    - python >=3.11,<3.12.0a0
    - python_abi 3.11.* *_cp311
    - raxml >=8.2.13,<9.0a0
test:
  commands:
    - clustalw2 -help | grep OPTIONS
    - hmmalign -h | grep HMMER
    - hmmbuild -h | grep HMMER
    - muscle -version | grep -i MUSCLE
    - prank -help | grep prank
    - raxml -h | grep -i raxml
    - export PASTA_LOGGING_LEVEL=DEBUG; export PASTA_LOGGING_FORMAT=RICH; run_pasta.py
      -i $PREFIX/share/pasta/data/small.fasta
  imports:
    - pasta
about:
  dev_url: https://github.com/smirarab/pasta
  doc_url: https://github.com/smirarab/pasta/blob/v1.9.3/README.md
  home: https://github.com/smirarab/pasta
  license: GPL-3.0-or-later
  license_family: GPL3
  license_file: LICENSE
  summary: An implementation of the PASTA (Practical Alignment using Sate and TrAnsitivity)
    algorithm.
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
  identifiers:
    - doi:10.1007/978-3-319-05269-4_15
    - doi:10.1089/cmb.2014.0156
